%global pypi_name woob

Name:           python-%pypi_name
Version:        3.0
Release:        %mkrel 1
Summary:     Woob, Web Outside Of Browsers
Group:          Development/Python
License:        GPLv2+ and MIT
URL:            https://pypi.org/project/woob
Source0:        %{pypi_name}-%{version}.tar.xz

%description
Woob, Web Outside Of Browsers

%package -n python3-%{pypi_name}
Summary:    Woob, Web Outside Of Browsers
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-py
BuildRequires:  python3-pytest
BuildRequires:  python3-virtualenv
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3-unidecode
Requires:	python3-dateutil
Requires:	python3-pillow
Requires:  python3-babel
Requires:  python3-cssselect
Requires:  python3-six
Requires:  python-idna
Requires:  python3-urllib3
Requires:  python3-charset-normalizer
Requires:  python3-pytz
Requires:  python3-yaml

%description -n python3-%{pypi_name}
Woob, Web Outside Of Browsers

%prep
%setup -qn %{pypi_name}-%{version}
%apply_patches

# remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}
%{_datadir}
%{_prefix}/lib/python3.10/site-packages

%changelog
* Sat Aug 20 2022 Tex 3.0-1pclos2022
- import for python 3.10
